/*
** SellaNMS
** $Id: syslog.h,v 1.1 2005/08/09 05:33:40 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __DGS_OUTPUT_SYSLOG_H
#define __DGS_OUTPUT_SYSLOG_H

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

#include "defaults.h"
#include "common/util.h"
#include "storage/storage.h"
#include <stdio.h>
#include <stdlib.h>

#define OUTPUT_SYSLOG_INTERVAL_DEF	5		//5 sec
#define OUTPUT_SYSLOG_INTERVAL_MIN	1		//1 sec
#define OUTPUT_SYSLOG_INTERVAL_MAX	21600	//6 hours

class Syslog {
	public:
		Syslog();
		virtual ~Syslog();
		virtual RESULT execute();
		virtual RESULT readConfig();

	protected:
		virtual void printConfig();

	private:
		Storage storage;

		unsigned long interval;
};

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim600: fdm=marker
** vim: noet ts=3 sw=3
*/
